Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::Explanation Class Reference

Describes the score computation for document and query. More...

`#include <Explanation.h>`

Inheritance diagram for Lucene::Explanation:

## Public Member Functions

| Explanation (double value=0, const String &description=EmptyString)
virtual | ~Explanation ()
virtual String | getClassName ()
boost::shared_ptr< Explanation > | shared_from_this ()
virtual bool | isMatch ()
| Indicates whether or not this Explanation models a good match. More...
virtual double | getValue ()
| The value assigned to this explanation node. More...
virtual void | setValue (double value)
| Sets the value assigned to this explanation node. More...
virtual String | getDescription ()
| A description of this explanation node. More...
virtual void | setDescription (const String &description)
| Sets the description of this explanation node. More...
virtual Collection < ExplanationPtr > | getDetails ()
| The sub-nodes of this explanation node. More...
virtual void | addDetail (ExplanationPtr detail)
| Adds a sub-node to this explanation node. More...
virtual String | toString ()
| Render an explanation as text. More...
virtual String | toHtml ()
| Render an explanation as HTML. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Member Functions

virtual String | getSummary ()
| A short one line summary which should contain all high level information about this Explanation, without the "Details". More...
virtual String | toString (int32_t depth)
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

double | value
String | description
Collection< ExplanationPtr > | details

## Detailed Description

Describes the score computation for document and query.

## Constructor & Destructor Documentation

Lucene::Explanation::Explanation | ( | double | value = `0`,
|  | const String & | description = `EmptyString`
| ) |  |

virtual Lucene::Explanation::~Explanation | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::Explanation::_getClassName | ( | ) |  |

inline static

virtual void Lucene::Explanation::addDetail | ( | ExplanationPtr | detail) |  |

virtual

Adds a sub-node to this explanation node.

virtual String Lucene::Explanation::getClassName | ( | ) |  |

inline virtual

Reimplemented in Lucene::ComplexExplanation.

virtual String Lucene::Explanation::getDescription | ( | ) |  |

virtual

A description of this explanation node.

virtual Collection<ExplanationPtr> Lucene::Explanation::getDetails | ( | ) |  |

virtual

The sub-nodes of this explanation node.

virtual String Lucene::Explanation::getSummary | ( | ) |  |

protected virtual

A short one line summary which should contain all high level information about this Explanation, without the "Details".

Reimplemented in Lucene::ComplexExplanation.

virtual double Lucene::Explanation::getValue | ( | ) |  |

virtual

The value assigned to this explanation node.

virtual bool Lucene::Explanation::isMatch | ( | ) |  |

virtual

Indicates whether or not this Explanation models a good match.

By default, an Explanation represents a "match" if the value is positive.

See Also
  getValue

Reimplemented in Lucene::ComplexExplanation.

virtual void Lucene::Explanation::setDescription | ( | const String & | description) |  |

virtual

Sets the description of this explanation node.

virtual void Lucene::Explanation::setValue | ( | double | value) |  |

virtual

Sets the value assigned to this explanation node.

boost::shared_ptr< Explanation > Lucene::Explanation::shared_from_this | ( | ) |  |

inline

virtual String Lucene::Explanation::toHtml | ( | ) |  |

virtual

Render an explanation as HTML.

virtual String Lucene::Explanation::toString | ( | ) |  |

virtual

Render an explanation as text.

Reimplemented from Lucene::LuceneObject.

virtual String Lucene::Explanation::toString | ( | int32_t | depth) |  |

protected virtual

## Field Documentation

String Lucene::Explanation::description

protected

Collection<ExplanationPtr> Lucene::Explanation::details

protected

double Lucene::Explanation::value

protected

The documentation for this class was generated from the following file:

- Explanation.h

clucene.sourceforge.net